import TrainingPlanManage from "./views/TrainingPlanManage.vue";
import CourseOutlineManage from "./views/CourseOutlineManage.vue";
import CourseExamine from "./views/CourseExamine.vue";
import StudentTarget from "./views/StudentTarget.vue";
import TargetStatistics from "./views/TargetStatistics.vue";
import RequirementStatistics from "./views/RequirementStatistics.vue";
import TargetScoreManage from "./views/TargetScoreManage.vue";

export default [
  {
    path: "/target/training-plan-manage",
    name: "CultureProgram",
    component: TrainingPlanManage,
  },
  {
    path: "/target/course-outline-manage",
    name: "CourseOutlineManager",
    component: CourseOutlineManage,
  },
  {
    path: "/target/course-examine",
    name: "CourseAssessmentSetting",
    component: CourseExamine,
  },
  {
    path: "/target/requirement-statistics",
    name: "GraduationRequirement",
    component: RequirementStatistics,
  },
  {
    path: "/target/target-statistics",
    name: "TargetReportManage",
    component: TargetStatistics,
  },
  {
    path: "/target/student-target",
    name: "StudentRequirement",
    component: StudentTarget,
  },
  {
    path: "/target/target-score-manage",
    name: "TargetScoreManage",
    component: TargetScoreManage,
  },
];
